LegalStack

Документы — папки

Папки документов.

Список папок

GET
/api/v1/smartdoc/folders
АвторизацияBearer <токен>

В: header

Тело ответа

application/json

curl -X GET "https://loading/api/v1/smartdoc/folders"
[
  {
    "childrenCount": 0,
    "createdAt": "string",
    "documentsCount": 0,
    "id": "string",
    "name": "string",
    "parentId": "string",
    "shareCount": 0,
    "updatedAt": "string",
    "userId": "string",
    "property1": null,
    "property2": null
  }
]

Создать папку

POST
/api/v1/smartdoc/folders
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

curl -X POST "https://loading/api/v1/smartdoc/folders" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "childrenCount": 0,
  "createdAt": "string",
  "documentsCount": 0,
  "id": "string",
  "name": "string",
  "parentId": "string",
  "shareCount": 0,
  "updatedAt": "string",
  "userId": "string",
  "property1": null,
  "property2": null
}

Получить папку

GET
/api/v1/smartdoc/folders/{id}
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор папки

Тело ответа

application/json

curl -X GET "https://loading/api/v1/smartdoc/folders/string"
{
  "childrenCount": 0,
  "createdAt": "string",
  "documentsCount": 0,
  "id": "string",
  "name": "string",
  "parentId": "string",
  "shareCount": 0,
  "updatedAt": "string",
  "userId": "string",
  "property1": null,
  "property2": null
}

Удалить папку

DELETE
/api/v1/smartdoc/folders/{id}
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор папки

Тело ответа

application/json

curl -X DELETE "https://loading/api/v1/smartdoc/folders/string"
{
  "success": true
}

Обновить папку

PUT
/api/v1/smartdoc/folders/{id}
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор папки

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

curl -X PUT "https://loading/api/v1/smartdoc/folders/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "childrenCount": 0,
  "createdAt": "string",
  "documentsCount": 0,
  "id": "string",
  "name": "string",
  "parentId": "string",
  "shareCount": 0,
  "updatedAt": "string",
  "userId": "string",
  "property1": null,
  "property2": null
}

Переместить папку

PATCH
/api/v1/smartdoc/folders/{id}/move
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор папки

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

curl -X PATCH "https://loading/api/v1/smartdoc/folders/string/move" \  -H "Content-Type: application/json" \  -d '{    "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43"  }'
{
  "childrenCount": 0,
  "createdAt": "string",
  "documentsCount": 0,
  "id": "string",
  "name": "string",
  "parentId": "string",
  "shareCount": 0,
  "updatedAt": "string",
  "userId": "string",
  "property1": null,
  "property2": null
}